GetBlockedCurrencies
curl --request GET \
--url https://api.rampnow.io/api/partner/v1/ext/ramp_order/blocked_currencies \
--header 'X-RAMPNOW-API-KEY: <api-key>'import requests
url = "https://api.rampnow.io/api/partner/v1/ext/ramp_order/blocked_currencies"
headers = {"X-RAMPNOW-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-RAMPNOW-API-KEY': '<api-key>'}};
fetch('https://api.rampnow.io/api/partner/v1/ext/ramp_order/blocked_currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"countries": [
{
"blockedCurrencies": [
"AAAFISH"
],
"country": "AD",
"countryName": "<string>"
}
]
},
"message": "<string>",
"traceId": "<string>",
"displayError": "<string>"
}On/Off Ramp Orders
GetBlockedCurrencies
GET
/
api
/
partner
/
v1
/
ext
/
ramp_order
/
blocked_currencies
GetBlockedCurrencies
Authorizations
Partner API key sent in the X-RAMPNOW-API-KEY header. Every request must ALSO send X-RAMPNOW-TIMESTAMP (unix seconds) and X-RAMPNOW-SIGN (hex HMAC-SHA256 of timestamp + METHOD + requestURI + rawBody, keyed with your API secret). See the Authentication guide.
Query Parameters
Available options:
AD, AE, AF, AG, AI, AL, AM, AN, AO, AQ, AR, AS, AT, AU, AW, AX, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BO, BQ, BR, BS, BT, BV, BW, BY, BZ, CA, CC, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CR, CU, CV, CW, CX, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, EH, ER, ES, ET, FI, FJ, FK, FM, FO, FR, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HM, HN, HR, HT, HU, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MF, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, NO, NP, NR, NU, NZ, OM, PA, PE, PF, PG, PH, PK, PL, PM, PN, PR, PS, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SV, SX, SY, SZ, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, XK, XX, YE, YT, YU, ZA, ZM, ZW Was this page helpful?